## libffado 2.0.99+svn1949

=== SConstruct ===
#! /usr/bin/python
# -*- coding: utf-8 -*-
#
# Copyright (C) 2007, 2008, 2010 Arnold Krille
# Copyright (C) 2007, 2008 Pieter Palmers
# Copyright (C) 2008 Jonathan Woithe
#
# This file is part of FFADO
# FFADO = Free Firewire (pro-)audio drivers for linux
#
# FFADO is based upon FreeBoB.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) version 3 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

FFADO_API_VERSION = "8"
FFADO_VERSION="2.999.0"

import os
import re
from string import Template
import imp
import distutils.sysconfig

if not os.path.isdir( "cache" ):
	os.makedirs( "cache" )

opts = Variables( "cache/options.cache" )

opts.AddVariables(
    BoolVariable( "DEBUG", """\
Toggle debug-build. DEBUG means \"-g -Wall\" and more, otherwise we will use
  \"-O2\" to optimize.""", True ),
    BoolVariable( "PROFILE", "Build with symbols and other profiling info", False ),
    PathVariable( "PREFIX", "The prefix where ffado will be installed to.", "/usr/local", PathVariable.PathAccept ),
    PathVariable( "BINDIR", "Overwrite the directory where apps are installed to.", "$PREFIX/bin", PathVariable.PathAccept ),
    PathVariable( "LIBDIR", "Overwrite the directory where libs are installed to.", "$PREFIX/lib", PathVariable.PathAccept ),
    PathVariable( "INCLUDEDIR", "Overwrite the directory where headers are installed to.", "$PREFIX/include", PathVariable.PathAccept ),
    PathVariable( "SHAREDIR", "Overwrite the directory where misc shared files are installed to.", "$PREFIX/share/libffado", PathVariable.PathAccept ),
    PathVariable( "PYPKGDIR", "The directory where the python modules get installed.",
        distutils.sysconfig.get_python_lib( prefix="$PREFIX" ), PathVariable.PathAccept ),
    BoolVariable( "ENABLE_BEBOB", "Enable/Disable support for the BeBoB platform.", True ),
    BoolVariable( "ENABLE_FIREWORKS", "Enable/Disable support for the ECHO Audio FireWorks platform.", True ),
    BoolVariable( "ENABLE_OXFORD", "Enable/Disable support for the Oxford Semiconductor FW platform.", True ),
    BoolVariable( "ENABLE_MOTU", "Enable/Disable support for the MOTU platform.", True ),
    BoolVariable( "ENABLE_DICE", "Enable/Disable support for the TCAT DICE platform.", True ),
    BoolVariable( "ENABLE_METRIC_HALO", "Enable/Disable support for the Metric Halo platform.", False ),
    BoolVariable( "ENABLE_RME", "Enable/Disable support for the RME platform.", False ),
    BoolVariable( "ENABLE_MAUDIO", "Enable/Disable support for the M-Audio custom BeBoB devices.", False ),
    BoolVariable( "ENABLE_BOUNCE", "Enable/Disable the BOUNCE device.", False ),
    BoolVariable( "ENABLE_GENERICAVC", """\
Enable/Disable the the generic avc part (mainly used by apple).
  Note that disabling this option might be overwritten by other devices needing
  this code.""", False ),
    BoolVariable( "ENABLE_ALL", "Enable/Disable support for all devices.", False ),
    BoolVariable( "SERIALIZE_USE_EXPAT", "Use libexpat for XML serialization.", False ),
    BoolVariable( "BUILD_TESTS", """\
Build the tests in their directory. As some contain quite some functionality,
  this is on by default.
  If you just want to use ffado with jack without the tools, you can disable this.\
""", True ),
    BoolVariable( "BUILD_STATIC_TOOLS", "Build a statically linked version of the FFADO tools.", False ),
    EnumVariable('DIST_TARGET', 'Build target for cross compiling packagers', 'auto', allowed_values=('auto', 'i386', 'i686', 'x86_64', 'powerpc', 'powerpc64', 'none' ), ignorecase=2),
    BoolVariable( "ENABLE_OPTIMIZATIONS", "Enable optimizations and the use of processor specific extentions (MMX/SSE/...).", False ),
    BoolVariable( "PEDANTIC", "Enable -Werror and more pedantic options during compile.", False ),
    ( "COMPILE_FLAGS", "Add additional flags to the environment.\nOnly meant for distributors and gentoo-users who want to over-optimize their built.\n Using this is not supported by the ffado-devs!" ),

    )

## Load the builders in config
buildenv=os.environ

env = Environment( tools=['default','scanreplace','pyuic','pyuic4','dbus','doxygen','pkgconfig'], toolpath=['admin'], ENV = buildenv, options=opts )

if env.has_key('COMPILE_FLAGS') and len(env['COMPILE_FLAGS']) > 0:
    print '''
 * Usage of additional flags is not supported by the ffado-devs.
 * Use at own risk!
 *
 * Currentl value is '%s'
 ''' % env['COMPILE_FLAGS']
    env.MergeFlags(env['COMPILE_FLAGS'])

Help( """
For building ffado you can set different options as listed below. You have to
specify them only once, scons will save the last value you used and re-use
that.
To really undo your settings and return to the factory defaults, remove the
"cache"-folder and the file ".sconsign.dblite" from this directory.
For example with: "rm -Rf .sconsign.dblite cache"

Note that this is a development version! Don't complain if its not working!
See www.ffado.org for stable releases.
""" )
Help( opts.GenerateHelpText( env ) )

# make sure the necessary dirs exist
if not os.path.isdir( "cache" ):
	os.makedirs( "cache" )
if not os.path.isdir( 'cache/objects' ):
    os.makedirs( 'cache/objects' )

CacheDir( 'cache/objects' )

opts.Save( 'cache/options.cache', env )

def ConfigGuess( context ):
    context.Message( "Trying to find the system triple: " )
    ret = os.popen( "admin/config.guess" ).read()[:-1]
    context.Result( ret )
    return ret

def CheckForApp( context, app ):
    context.Message( "Checking whether '" + app + "' executes " )
    ret = context.TryAction( app )
    context.Result( ret[0] )
    return ret[0]

def CheckForPyModule( context, module ):
    context.Message( "Checking for the python module '" + module + "' " )
    ret = context.TryAction( "python $SOURCE", "import %s" % module, ".py" )
    context.Result( ret[0] )
    return ret[0]

def CompilerCheck( context ):
    context.Message( "Checking for a working C-compiler " )
    ret = context.TryRun( """
#include <stdio.h>

int main() {
    printf( "Hello World!" );
    return 0;
}""", '.c' )[0]
    context.Result( ret )
    if ret == 0:
        return False;
    context.Message( "Checking for a working C++-compiler " )
    ret = context.TryRun( """
#include <iostream>

int main() {
    std::cout << "Hello World!" << std::endl;
    return 0;
}""", ".cpp" )[0]
    context.Result( ret )
    return ret

tests = {
    "ConfigGuess" : ConfigGuess,
    "CheckForApp" : CheckForApp,
    "CheckForPyModule": CheckForPyModule,
    "CompilerCheck" : CompilerCheck,
}
tests.update( env['PKGCONFIG_TESTS'] )
tests.update( env['PYUIC_TESTS'] )
tests.update( env['PYUIC4_TESTS'] )

conf = Configure( env,
    custom_tests = tests,
    conf_dir = "cache/",
    log_file = 'cache/config.log' )

if env['SERIALIZE_USE_EXPAT']:
    env['SERIALIZE_USE_EXPAT']=1
else:
    env['SERIALIZE_USE_EXPAT']=0

if env['ENABLE_BOUNCE'] or env['ENABLE_ALL']:
    env['REQUIRE_LIBAVC']=1
else:
    env['REQUIRE_LIBAVC']=0

if not env.GetOption('clean'):
    #
    # Check for working gcc and g++ compilers and their environment.
    #
    if not conf.CompilerCheck():
        print "\nIt seems as if your system isn't even able to compile any C-/C++-programs. Probably you don't have gcc and g++ installed. Compiling a package from source without a working compiler is very hard to do, please install the needed packages.\nHint: on *ubuntu you need both gcc- and g++-packages installed, easiest solution is to install build-essential which depends on gcc and g++."
        Exit( 1 )

    # Check for pkg-config before using pkg-config to check for other dependencies.
    if not conf.CheckForPKGConfig():
        print "\nThe program 'pkg-config' could not be found.\nEither you have to install the corresponding package first or make sure that PATH points to the right directions."
        Exit( 1 )

    #
    # The following checks are for headers and libs and packages we need.
    #
    allpresent = 1;
    # for cache-serialization.
    if env['SERIALIZE_USE_EXPAT']:
        allpresent &= conf.CheckHeader( "expat.h" )
        allpresent &= conf.CheckLib( 'expat', 'XML_ExpatVersion', '#include <expat.h>' )

    pkgs = {
        'libraw1394' : '1.3.0',
        'libiec61883' : '1.1.0',
        'libconfig++' : '0'
        }

    if env['REQUIRE_LIBAVC']:
        pkgs['libavc1394'] = '0.5.3'

    if not env['SERIALIZE_USE_EXPAT']:
        pkgs['libxml++-2.6'] = '2.13.0'

    for pkg in pkgs:
        name2 = pkg.replace("+","").replace(".","").replace("-","").upper()
        env['%s_FLAGS' % name2] = conf.GetPKGFlags( pkg, pkgs[pkg] )
        #print '%s_FLAGS' % name2
        if env['%s_FLAGS'%name2] == 0:
            allpresent &= 0

    if not allpresent:
        print """
(At least) One of the dependencies is missing. I can't go on without it, please
install the needed packages for each of the lines saying "no".
(Remember to also install the *-devel packages!)

And remember to remove the cache with "rm -Rf .sconsign.dblite cache" so the
results above get rechecked.
"""
        Exit( 1 )

    # Check for C99 lrint() and lrintf() functions used to convert from
    # float to integer more efficiently via float_cast.h.  If not
    # present the standard slower methods will be used instead.  This
    # might not be the best way of testing for these but it's the only
    # way which seems to work properly.  CheckFunc() fails due to
    # argument count problems.
    if env.has_key( 'CFLAGS' ):
        oldcf = env['CFLAGS']
    else:
        oldcf = ""
    oldcf = env.Append(CFLAGS = '-std=c99')
    if conf.CheckLibWithHeader( "m", "math.h", "c", "lrint(3.2);" ):
        HAVE_LRINT = 1
    else:
        HAVE_LRINT = 0
    if conf.CheckLibWithHeader( "m", "math.h", "c", "lrintf(3.2);" ):
        HAVE_LRINTF = 1
    else:
        HAVE_LRINTF = 0
    env['HAVE_LRINT'] = HAVE_LRINT;
    env['HAVE_LRINTF'] = HAVE_LRINTF;
    env.Replace(CFLAGS=oldcf)

#
# Optional checks follow:
#

# PyQT checks
build_mixer = False
if conf.CheckForApp( 'which pyuic4' ) and conf.CheckForPyModule( 'dbus' ) and conf.CheckForPyModule( 'PyQt4' ) and conf.CheckForPyModule( 'dbus.mainloop.qt' ):
    env['PYUIC4'] = True
    build_mixer = True

if conf.CheckForApp( 'xdg-desktop-menu --help' ):
    env['XDG_TOOLS'] = True
else:
    print """
I couldn't find the program 'xdg-desktop-menu'. Together with xdg-icon-resource
this is needed to add the fancy entry to your menu. But if the mixer will be
installed, you can start it by executing "ffado-mixer".
"""

if not build_mixer and not env.GetOption('clean'):
    print """
I couldn't find all the prerequisites ('pyuic4' and the python-modules 'dbus'
and 'PyQt4', the packages could be named like dbus-python and PyQt) to build the
mixer.
Therefor the qt4 mixer will not get installed.
"""

#
# Optional pkg-config
#
pkgs = {
    'alsa': '0',
    'dbus-1': '1.0',
    'dbus-c++-1' : '0',
    }
for pkg in pkgs:
    name2 = pkg.replace("+","").replace(".","").replace("-","").upper()
    env['%s_FLAGS' % name2] = conf.GetPKGFlags( pkg, pkgs[pkg] )

if not env['DBUS1_FLAGS'] or not env['DBUSC1_FLAGS'] or not conf.CheckForApp('which dbusxx-xml2cpp'):
    env['DBUS1_FLAGS'] = ""
    env['DBUSC1_FLAGS'] = ""
    print """
One of the dbus-headers, the dbus-c++-headers and/or the application
'dbusxx-xml2cpp' where not found. The dbus-server for ffado will therefore not
be built.
"""
else:
    # Get the directory where dbus stores the service-files

=== debian/changelog ===
libffado (2.0.99+svn1949-1) experimental; urgency=low

  * Imported Upstream version 2.0.99+svn1949
  * Fixed MIDI channel detection on Echo AudioFire series
  * Added support for Mackie Onyx i-Series

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 24 Jan 2011 11:26:14 +0100

libffado (2.0.99+svn1924-1) experimental; urgency=low

  * Imported Upstream version 2.0.99+svn1924
  * Use system-wide libdbus-c++ and libconfig++8

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 22 Nov 2010 17:55:07 +0100

libffado (2.0.1+svn1856-6) unstable; urgency=low

  * Provide new command ffado-debug.
  * Include ffado-debug and the corresponding debug-enabled lib in
    libffado2.
  * Compile libffado2 w/ and w/o debugging code. (Closes: #601657)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 01 Nov 2010 10:11:27 +0100

=== debian/control ===
Source: libffado
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Free Ekanayaka <freee@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: autotools-dev,
 cdbs (>= 0.4.53),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 scons,
 libraw1394-dev (>= 1.3.0),
 libxml2-dev (>= 2.6.13),
 libiec61883-dev (>= 1.1.0),
 pkg-config,
 dbus (>= 1.0.0),
 python,
 python-dbus,
 python-qt4,
 pyqt4-dev-tools,
 python-support,
 libexpat1-dev,
 libxml++2.6-dev,
 libdbus-1-dev,
 python-qt4-dbus,
 libconfig++8-dev,
 libdbus-c++-dev,
 quilt
Standards-Version: 3.9.1
DM-Upload-Allowed: yes
XS-Python-Version: all
Section: libs
Homepage: http://www.ffado.org
Vcs-Git: git://git.debian.org/git/pkg-multimedia/ffado.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ffado.git

Package: libffado-dev
Section: libdevel
Architecture: i386 amd64 powerpc
Depends: libffado2 (= ${binary:Version}),
  ${misc:Depends},
 libxml2-dev,
 ${shlibs:Depends}
Description: FFADO API - development files
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such 
 devices and provides an API for streaming clients.
 .
 This package holds the development files.

Package: libffado2
Section: libs
Architecture: i386 amd64 powerpc
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: FFADO API
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such 
 devices and provides an API for streaming clients.
 .
 This package holds the shared library.

Package: ffado-tools
Section: sound
Architecture: i386 amd64 powerpc
Depends: libffado2 (= ${binary:Version}),
 dbus (>= 1.0.0),
 python,
 ${misc:Depends},
 ${shlibs:Depends}
Replaces: ffado-mixer-qt4 (<< 2.0.1+svn1856-2~)
Breaks: ffado-mixer-qt4 (<< 2.0.1+svn1856-2~)
Description: FFADO debugging and firmware tools
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such 
 devices and provides an API for streaming clients.
 .
 This package holds the following tools for firmware updating, 
 troubleshooting and debugging:
     * ffado-test-streaming
     * ffado-diag
     * ffado-test-isoxmit
     * ffado-test-isorecv
     * ffado-bridgeco-downloader
     * ffado-test
     * ffado-fireworks-downloader

Package: ffado-dbus-server
Section: sound
Architecture: i386 amd64 powerpc
Depends: libffado2 (= ${binary:Version}),
 dbus (>= 1.0.0),
 ${misc:Depends},
 ${shlibs:Depends}
Description: FFADO D-Bus server
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such 
 devices and provides an API for streaming clients.
 .
 This package holds the D-Bus server that exposes the mixer 
 and control interfaces through D-Bus.


Package: ffado-mixer-qt4
Section: sound
Architecture: all
Depends: ffado-dbus-server (>= ${source:Version}),
 ffado-tools (>= ${source:Version}),
 ${python:Depends},
 python,
 python-dbus,
 python-qt4,
 python-qt4-dbus,
 ${misc:Depends},
 ${shlibs:Depends}
Description: FFADO D-Bus mixer applets (QT4)
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such 
 devices and provides an API for streaming clients.
 .
 This package holds the mixer and control applications that 
 communicate with ffado-dbus-server. (Qt4 version)

## libffado 2.0.99+svn1985

=== SConstruct ===
--- 
+++ 
@@ -57,6 +57,7 @@
     BoolVariable( "ENABLE_DICE", "Enable/Disable support for the TCAT DICE platform.", True ),
     BoolVariable( "ENABLE_METRIC_HALO", "Enable/Disable support for the Metric Halo platform.", False ),
     BoolVariable( "ENABLE_RME", "Enable/Disable support for the RME platform.", False ),
+    BoolVariable( "ENABLE_DIGIDESIGN", "Enable/Disable support for Digidesign interfaces.", False ),
     BoolVariable( "ENABLE_MAUDIO", "Enable/Disable support for the M-Audio custom BeBoB devices.", False ),
     BoolVariable( "ENABLE_BOUNCE", "Enable/Disable the BOUNCE device.", False ),
     BoolVariable( "ENABLE_GENERICAVC", """\
@@ -304,4 +305,3 @@
 be built.
 """
 else:
-    # Get the directory where dbus stores the service-files

=== debian/changelog ===
libffado (2.0.99+svn1985-2ubuntu2) oneiric; urgency=low

  * Fix crash when starting jack2 (LP: #869420)

 -- David Henningsson <david.henningsson@canonical.com>  Mon, 10 Oct 2011 06:42:14 +0200

libffado (2.0.99+svn1985-2ubuntu1) oneiric; urgency=low

  * Ignore the results of the compiler check. Fails on the powerpc buildd.
  * Don't build using ld.gold on powerpc.
  * Build for armel and armhf. LP: #332528.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Oct 2011 12:13:47 +0200

libffado (2.0.99+svn1985-2) unstable; urgency=low

  * Build-depend on binutils-gold (Closes: #628805)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 02 Jun 2011 21:02:39 +0200

libffado (2.0.99+svn1985-1) unstable; urgency=low

  * Imported Upstream version 2.0.99+svn1985 (Closes: #601659)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Tue, 31 May 2011 17:27:58 +0200

libffado (2.0.99+svn1968-1) unstable; urgency=low

  * Imported Upstream version 2.0.99+svn1968 (Closes: #601660 #601661)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 02 Apr 2011 13:50:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: libffado
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Adrian Knoth <adi@drcomp.erfurt.thur.de>,
  Free Ekanayaka <freee@debian.org>,
  Jonas Smedegaard <dr@jones.dk>
 Build-Depends: autotools-dev,
- cdbs (>= 0.4.53),
+ cdbs (>= 0.4.85~),
  debhelper (>= 7.0.1),
  dh-buildinfo,
  scons,
@@ -25,8 +26,9 @@
  python-qt4-dbus,
  libconfig++8-dev,
  libdbus-c++-dev,
+ binutils-gold [!powerpc],
  quilt
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 DM-Upload-Allowed: yes
 XS-Python-Version: all
 Section: libs
@@ -36,7 +38,7 @@
 
 Package: libffado-dev
 Section: libdevel
-Architecture: i386 amd64 powerpc
+Architecture: i386 amd64 powerpc armel armhf
 Depends: libffado2 (= ${binary:Version}),
   ${misc:Depends},
  libxml2-dev,
@@ -51,7 +53,7 @@
 
 Package: libffado2
 Section: libs
-Architecture: i386 amd64 powerpc
+Architecture: i386 amd64 powerpc armel armhf
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Description: FFADO API
@@ -64,7 +66,7 @@
 
 Package: ffado-tools
 Section: sound
-Architecture: i386 amd64 powerpc
+Architecture: i386 amd64 powerpc armel armhf
 Depends: libffado2 (= ${binary:Version}),
  dbus (>= 1.0.0),
  python,
@@ -90,7 +92,7 @@
 
 Package: ffado-dbus-server
 Section: sound
-Architecture: i386 amd64 powerpc
+Architecture: i386 amd64 powerpc armel armhf
 Depends: libffado2 (= ${binary:Version}),
  dbus (>= 1.0.0),
  ${misc:Depends},

## libffado 2.0.99+svn1995

=== debian/changelog ===
libffado (2.0.99+svn1995-3) unstable; urgency=low

  * Drop binutils-golds dependency (Closes: #644529)
  * Add armel and armhf to architecture list

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 06 Oct 2011 21:31:58 +0200

libffado (2.0.99+svn1995-2) unstable; urgency=low

  * Experimental fix for segfault upon termination (Closes: #643024)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 05 Oct 2011 20:25:52 +0200

libffado (2.0.99+svn1995-1) unstable; urgency=low

  * Imported Upstream version 2.0.99+svn1995
  * Fix shutdown segfault (due to race condition) on Juju stack

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sat, 24 Sep 2011 18:47:56 +0200

## libffado 2.0.99+svn2019

=== debian/changelog ===
libffado (2.0.99+svn2019-1ubuntu4) quantal-proposed; urgency=low

  * Fix build failure, link test cases with -lpthread.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Sep 2012 13:18:28 +0200

libffado (2.0.99+svn2019-1ubuntu3) quantal; urgency=low

  * patches/fix-ftbfs-gcc4.7.diff: Fix build failure with gcc-4.7

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 11 Jun 2012 19:28:12 -0600

libffado (2.0.99+svn2019-1ubuntu2) quantal; urgency=low

  * No-change rebuild for the libconfig transition

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 11 Jun 2012 17:25:46 -0600

libffado (2.0.99+svn2019-1ubuntu1) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Ignore the results of the compiler check. Fails on the powerpc buildd.
    - Don't build using ld.gold on powerpc.
    - Build for armel and armhf. LP: #332528.
    - Build using dh_python2

 -- Artem Popov <artfwo@ubuntu.com>  Sat, 11 Feb 2012 15:13:05 +0700

libffado (2.0.99+svn2019-1) unstable; urgency=low

  * Imported Upstream version 2.0.99+svn2019
  * Really fix segfault upon termination

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 19 Jan 2012 19:06:44 +0100

libffado (2.0.99+svn1985-2ubuntu3) precise; urgency=low

  * Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 12:41:26 +0000

=== debian/rules ===
#!/usr/bin/make -f
#
# Pieter Palmers <pieter.palmers@ffado.org>
#
# Robert Jordens <jordens@debian.org>
#
# This software may be used and distributed according to the terms
# of the GNU General Public License, incorporated herein by reference.
#

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/utils.mk

# Suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

DEB_CLEAN_EXCLUDE=debian/tmp

### Add a soname ###

DEBIAN_FFADO_COMPATIBLE_VERSION = 2.0

CFLAGS += "-fPIC"

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NJOBS += -j$(NUMJOBS)
endif

ifneq (,$(findstring power,$(DEB_BUILD_ARCH)))
EXPLICIT_TARGET = DIST_TARGET=powerpc
else ifneq (,$(findstring i386,$(DEB_BUILD_ARCH)))
EXPLICIT_TARGET = DIST_TARGET=i386
else
EXPLICIT_TARGET =
endif

DEB_SCONS_EXTRA_FLAGS := \
	PREFIX=/usr \
	SHAREDIR=/usr/share/libffado2/ \
	PYPKGDIR=/usr/share/ffado-mixer-qt4/ \
	WILL_DEAL_WITH_XDG_MYSELF=1 \
	$(EXPLICIT_TARGET) \
	$(NJOBS)


DEB_SCONS_NOOPT_FLAGS := ENABLE_OPTIMIZATION=no

DEB_DH_MAKESHLIBS_ARGS := --version-info="libffado2 (>=${DEBIAN_FFADO_COMPATIBLE_VERSION})"

DEB_SCONS_ENVVARS :=
DEB_SCONS_INVOKE = $(DEB_SCONS_ENVVARS) scons 

DEB_SCONS_ARGS_COMMON = 'COMPILE_FLAGS=$(CFLAGS)' $(DEB_SCONS_EXTRA_FLAGS) \
				$(DEB_SCONS_NOOPT_FLAGS)

DEB_SCONS_ARGS_NODBG = $(DEB_SCONS_ARGS_COMMON) DESTDIR=$(DEB_DESTDIR) DEBUG=0
DEB_SCONS_ARGS_DBG = $(DEB_SCONS_ARGS_COMMON) DESTDIR=$(DEB_DESTDIR)/dbg DEBUG=1

#common-build-arch:: debian/stamp-scons-build
### Mangle libffado filename ###
debian/stamp-scons-build:
	-mkdir -p $(DEB_DESTDIR)
	$(DEB_SCONS_INVOKE) $(DEB_SCONS_ARGS_NODBG)
	$(DEB_SCONS_INVOKE) $(DEB_SCONS_ARGS_NODBG) install
	$(DEB_SCONS_INVOKE) $(DEB_SCONS_ARGS_DBG)
	$(DEB_SCONS_INVOKE) $(DEB_SCONS_ARGS_DBG) install
	touch debian/stamp-scons-build

# this is bad but the only easy way to have ardour.rc generated from
# ardour.rc.in
common-install-indep:: debian/stamp-scons-build
common-install-arch:: debian/stamp-scons-build

clean:: scons-clean
scons-clean::
	$(MAKE) -f debian/rules reverse-config
	-mkdir -p $(DEB_DESTDIR)
	-$(DEB_SCONS_INVOKE) --clean
	-rm -rf $(DEB_DESTDIR) debian/stamp-scons-build
	-rm -rf config.log scache.conf .sconf_temp .sconsign.dblite cache
	-rm -rf admin/*.pyc

binary-install/ffado-mixer-qt4::
	dh_python2 -pffado-mixer-qt4

binary-install/ffado-tools::
	dh_python2 -pffado-tools

## libffado 2.0.99+svn2171

=== SConstruct ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 # Copyright (C) 2007, 2008, 2010 Arnold Krille
 # Copyright (C) 2007, 2008 Pieter Palmers
-# Copyright (C) 2008 Jonathan Woithe
+# Copyright (C) 2008, 2012 Jonathan Woithe
 #
 # This file is part of FFADO
 # FFADO = Free Firewire (pro-)audio drivers for linux
@@ -24,7 +24,7 @@
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 #
 
-FFADO_API_VERSION = "8"
+FFADO_API_VERSION = "9"
 FFADO_VERSION="2.999.0"
 
 import os
@@ -48,15 +48,17 @@
     PathVariable( "LIBDIR", "Overwrite the directory where libs are installed to.", "$PREFIX/lib", PathVariable.PathAccept ),
     PathVariable( "INCLUDEDIR", "Overwrite the directory where headers are installed to.", "$PREFIX/include", PathVariable.PathAccept ),
     PathVariable( "SHAREDIR", "Overwrite the directory where misc shared files are installed to.", "$PREFIX/share/libffado", PathVariable.PathAccept ),
+    PathVariable( "MANDIR", "Overwrite the directory where manpages are installed", "$PREFIX/man", PathVariable.PathAccept ),
     PathVariable( "PYPKGDIR", "The directory where the python modules get installed.",
         distutils.sysconfig.get_python_lib( prefix="$PREFIX" ), PathVariable.PathAccept ),
+    PathVariable( "UDEVDIR", "Overwrite the directory where udev rules are installed to.", "/lib/udev/rules.d/", PathVariable.PathAccept ),
     BoolVariable( "ENABLE_BEBOB", "Enable/Disable support for the BeBoB platform.", True ),
     BoolVariable( "ENABLE_FIREWORKS", "Enable/Disable support for the ECHO Audio FireWorks platform.", True ),
     BoolVariable( "ENABLE_OXFORD", "Enable/Disable support for the Oxford Semiconductor FW platform.", True ),
     BoolVariable( "ENABLE_MOTU", "Enable/Disable support for the MOTU platform.", True ),
     BoolVariable( "ENABLE_DICE", "Enable/Disable support for the TCAT DICE platform.", True ),
     BoolVariable( "ENABLE_METRIC_HALO", "Enable/Disable support for the Metric Halo platform.", False ),
-    BoolVariable( "ENABLE_RME", "Enable/Disable support for the RME platform.", False ),
+    BoolVariable( "ENABLE_RME", "Enable/Disable support for the RME platform.", True ),
     BoolVariable( "ENABLE_DIGIDESIGN", "Enable/Disable support for Digidesign interfaces.", False ),
     BoolVariable( "ENABLE_MAUDIO", "Enable/Disable support for the M-Audio custom BeBoB devices.", False ),
     BoolVariable( "ENABLE_BOUNCE", "Enable/Disable the BOUNCE device.", False ),
@@ -76,6 +78,7 @@
     BoolVariable( "ENABLE_OPTIMIZATIONS", "Enable optimizations and the use of processor specific extentions (MMX/SSE/...).", False ),
     BoolVariable( "PEDANTIC", "Enable -Werror and more pedantic options during compile.", False ),
     ( "COMPILE_FLAGS", "Add additional flags to the environment.\nOnly meant for distributors and gentoo-users who want to over-optimize their built.\n Using this is not supported by the ffado-devs!" ),
+    EnumVariable( "ENABLE_SETBUFFERSIZE_API_VER", "Report API version at runtime which includes support for dynamic buffer resizing (requires recent jack).", 'auto', allowed_values=('auto', 'true', 'false', 'force'), ignorecase=2),
 
     )
 
@@ -157,11 +160,18 @@
     context.Result( ret )
     return ret
 
+def CheckPKG(context, name):
+    context.Message( 'Checking for %s... ' % name )
+    ret = context.TryAction('pkg-config --exists \'%s\'' % name)[0]
+    context.Result( ret )
+    return ret
+
 tests = {
     "ConfigGuess" : ConfigGuess,
     "CheckForApp" : CheckForApp,
     "CheckForPyModule": CheckForPyModule,
     "CompilerCheck" : CompilerCheck,
+    "CheckPKG" : CheckPKG,
 }
 tests.update( env['PKGCONFIG_TESTS'] )
 tests.update( env['PYUIC_TESTS'] )
@@ -215,6 +225,49 @@
 
     if not env['SERIALIZE_USE_EXPAT']:
         pkgs['libxml++-2.6'] = '2.13.0'
+
+    # Provide a way for users to compile newer libffado which will work 
+    # against older jack installations which will not accept the new API
+    # version reported at runtime.
+    have_jack = conf.CheckPKG('jack >= 0.0.0')
+    good_jack1 = conf.CheckPKG('jack < 1.9.0') and conf.CheckPKG('jack >= 0.122.0')
+    good_jack2 = conf.CheckPKG('jack >= 1.9.9')
+    if env['ENABLE_SETBUFFERSIZE_API_VER'] == 'auto':
+        if not(have_jack):
+            print """
+No jack installed: assuming a FFADO setbuffersize-compatible version will be
+used.
+"""
+        elif not(good_jack1 or good_jack2):
+            FFADO_API_VERSION="8"
+            print """
+Installed jack does not support FFADO setbuffersize API: will report earlier
+API version at runtime.  Consider upgrading to jack1 >=0.122.0 or 
+jack2 >=1.9.9 at some point, and then recompile ffado to gain access to this
+added feature.
+"""
+        else:
+            print "Installed jack supports FFADO setbuffersize API"
+    elif env['ENABLE_SETBUFFERSIZE_API_VER'] == 'true':
+        if (have_jack and not(good_jack1) and not(good_jack2)):
+            print """
+SetBufferSize API version is enabled but no suitable version of jack has been
+found.  The resulting FFADO would cause your jackd to abort with "incompatible
+FFADO version".  Please upgrade to jack1 >=0.122.0 or jack2 >=1.9.9, or set
+ENABLE_SETBUFFERSIZE_API_VER to "auto" or "false".
+"""
+            # Although it's not strictly an error, in almost every case that 
+            # this occurs the user will want to know about it and fix the
+            # problem, so we exit so they're guaranteed of seeing the above
+            # message.
+            Exit( 1 )
+        else:
+            print "Will report SetBufferSize API version at runtime"
+    elif env['ENABLE_SETBUFFERSIZE_API_VER'] == 'force':
+        print "Will report SetBufferSize API version at runtime"
+    else:
+        FFADO_API_VERSION="8"
+        print "Will not report SetBufferSize API version at runtime"
 
     for pkg in pkgs:
         name2 = pkg.replace("+","").replace(".","").replace("-","").upper()
@@ -223,85 +276,3 @@
         if env['%s_FLAGS'%name2] == 0:
             allpresent &= 0
 
-    if not allpresent:
-        print """
-(At least) One of the dependencies is missing. I can't go on without it, please
-install the needed packages for each of the lines saying "no".
-(Remember to also install the *-devel packages!)
-
-And remember to remove the cache with "rm -Rf .sconsign.dblite cache" so the
-results above get rechecked.
-"""
-        Exit( 1 )
-
-    # Check for C99 lrint() and lrintf() functions used to convert from
-    # float to integer more efficiently via float_cast.h.  If not
-    # present the standard slower methods will be used instead.  This
-    # might not be the best way of testing for these but it's the only
-    # way which seems to work properly.  CheckFunc() fails due to
-    # argument count problems.
-    if env.has_key( 'CFLAGS' ):
-        oldcf = env['CFLAGS']
-    else:
-        oldcf = ""
-    oldcf = env.Append(CFLAGS = '-std=c99')
-    if conf.CheckLibWithHeader( "m", "math.h", "c", "lrint(3.2);" ):
-        HAVE_LRINT = 1
-    else:
-        HAVE_LRINT = 0
-    if conf.CheckLibWithHeader( "m", "math.h", "c", "lrintf(3.2);" ):
-        HAVE_LRINTF = 1
-    else:
-        HAVE_LRINTF = 0
-    env['HAVE_LRINT'] = HAVE_LRINT;
-    env['HAVE_LRINTF'] = HAVE_LRINTF;
-    env.Replace(CFLAGS=oldcf)
-
-#
-# Optional checks follow:
-#
-
-# PyQT checks
-build_mixer = False
-if conf.CheckForApp( 'which pyuic4' ) and conf.CheckForPyModule( 'dbus' ) and conf.CheckForPyModule( 'PyQt4' ) and conf.CheckForPyModule( 'dbus.mainloop.qt' ):
-    env['PYUIC4'] = True
-    build_mixer = True
-
-if conf.CheckForApp( 'xdg-desktop-menu --help' ):
-    env['XDG_TOOLS'] = True
-else:
-    print """
-I couldn't find the program 'xdg-desktop-menu'. Together with xdg-icon-resource
-this is needed to add the fancy entry to your menu. But if the mixer will be
-installed, you can start it by executing "ffado-mixer".
-"""
-
-if not build_mixer and not env.GetOption('clean'):
-    print """
-I couldn't find all the prerequisites ('pyuic4' and the python-modules 'dbus'
-and 'PyQt4', the packages could be named like dbus-python and PyQt) to build the
-mixer.
-Therefor the qt4 mixer will not get installed.
-"""
-
-#
-# Optional pkg-config
-#
-pkgs = {
-    'alsa': '0',
-    'dbus-1': '1.0',
-    'dbus-c++-1' : '0',
-    }
-for pkg in pkgs:
-    name2 = pkg.replace("+","").replace(".","").replace("-","").upper()
-    env['%s_FLAGS' % name2] = conf.GetPKGFlags( pkg, pkgs[pkg] )
-
-if not env['DBUS1_FLAGS'] or not env['DBUSC1_FLAGS'] or not conf.CheckForApp('which dbusxx-xml2cpp'):
-    env['DBUS1_FLAGS'] = ""
-    env['DBUSC1_FLAGS'] = ""
-    print """
-One of the dbus-headers, the dbus-c++-headers and/or the application
-'dbusxx-xml2cpp' where not found. The dbus-server for ffado will therefore not
-be built.
-"""
-else:

=== debian/changelog ===
libffado (2.0.99+svn2171-2) unstable; urgency=low

  * Add patch to downgrade the codebase to r2166 (Closes: #620427)
  * Add fix for FTBFS on Big Endian machines

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 28 Jun 2012 16:09:34 +0200

libffado (2.0.99+svn2171-1) unstable; urgency=low

  * Imported Upstream version 2.0.99+svn2171 (Closes: #678347 #620427)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sun, 24 Jun 2012 12:58:18 +0200

libffado (2.0.99+svn2163-2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Build-depend explicitly on libdbus-c++-bin.
    See bug#674311 (comment#15). Thanks to Vincent Cheng.
  * Remove debian/source/local-options: abort-on-upstream-changes and
    unapply-patches are default in dpkg-source since 1.16.1.
  * Really let libffado Break too old jackd{1,2}-firewire.
    Closes: bug#670985.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 18 Jun 2012 18:00:00 +0200

libffado (2.0.99+svn2163-1) unstable; urgency=low

  * Ship upstream udev file
  * Let libffado Break too old jackd{1,2}-firewire (Closes: #670985)
  * Imported Upstream version 2.0.99+svn2163

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Sun, 10 Jun 2012 19:50:45 +0200

libffado (2.0.99+svn2124-1) unstable; urgency=low

  * Build-depend on libconfig++-dev (Closes: #661407)
  * Imported Upstream version r2124 (supports buffersize changes)
  * Drop exitcrash.patch
  * Drop gcc-4.7 fix

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Wed, 18 Apr 2012 22:57:33 +0200

libffado (2.0.99+svn2019-2) unstable; urgency=low

  * Team upload.
  * Fix build failure with GCC 4.7. Thanks to Matthias Klose
    for the report and patch. (Closes: #667245)
  * Drop quilt from Build-Depends.
  * Fix lintian warning binary-control-field-duplicates-source.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 17 Apr 2012 09:09:42 +0200

=== debian/control ===
Source: libffado
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Free Ekanayaka <freee@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 cdbs,
 autotools-dev,
 debhelper,
 dh-buildinfo,
 dbus (>= 1.0.0),
 libconfig++-dev,
 libdbus-1-dev,
 libdbus-c++-dev,
 libdbus-c++-bin,
 libexpat1-dev,
 libiec61883-dev (>= 1.1.0),
 libraw1394-dev (>= 1.3.0),
 libxml++2.6-dev,
 libxml2-dev (>= 2.6.13),
 pkg-config,
 pyqt4-dev-tools,
 python,
 python-dbus,
 python-qt4,
 python-qt4-dbus,
 python-support,
 scons
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
XS-Python-Version: all
Section: libs
Homepage: http://www.ffado.org
Vcs-Git: git://git.debian.org/git/pkg-multimedia/ffado.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ffado.git

Package: libffado-dev
Section: libdevel
Architecture: amd64 armel armhf i386 powerpc
Depends:
 libffado2 (= ${binary:Version}),
 libxml2-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Description: FFADO API - development files
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such
 devices and provides an API for streaming clients.
 .
 This package holds the development files.

Package: libffado2
Architecture: amd64 armel armhf i386 powerpc
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: FFADO API
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such
 devices and provides an API for streaming clients.
 .
 This package holds the shared library.

Package: ffado-tools
Section: sound
Architecture: amd64 armel armhf i386 powerpc
Depends:
 dbus (>= 1.0.0),
 libffado2 (= ${binary:Version}),
 python,
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 ffado-mixer-qt4 (<< 2.0.1+svn1856-2~)
Breaks:
 ffado-mixer-qt4 (<< 2.0.1+svn1856-2~),
 jackd1-firewire (<< 1:0.121.3+20120418git75e3e20b-1),
 jackd2-firewire (<< 1.9.8~dfsg.3+20120418gitf82ec715-1)
Description: FFADO debugging and firmware tools
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such
 devices and provides an API for streaming clients.
 .
 This package holds the following tools for firmware updating,
 troubleshooting and debugging:
     * ffado-test-streaming
     * ffado-diag
     * ffado-test-isoxmit
     * ffado-test-isorecv
     * ffado-bridgeco-downloader
     * ffado-test
     * ffado-fireworks-downloader

Package: ffado-dbus-server
Section: sound
Architecture: amd64 armel armhf i386 powerpc
Depends:
 dbus (>= 1.0.0),
 libffado2 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: FFADO D-Bus server
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such
 devices and provides an API for streaming clients.
 .
 This package holds the D-Bus server that exposes the mixer
 and control interfaces through D-Bus.

Package: ffado-mixer-qt4
Section: sound
Architecture: all
Depends:
 ffado-dbus-server (>= ${source:Version}),
 ffado-tools (>= ${source:Version}),
 python,
 python-dbus,
 python-qt4,
 python-qt4-dbus,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: FFADO D-Bus mixer applets (QT4)
 FFADO is a Linux driver for FireWire (IEEE1394) audio devices.
 .
 The FFADO library permits discovering and configuring such
 devices and provides an API for streaming clients.
 .
 This package holds the mixer and control applications that
 communicate with ffado-dbus-server. (Qt4 version)

=== debian/rules ===
--- 
+++ 
@@ -82,7 +82,7 @@
 	-rm -rf admin/*.pyc
 
 binary-install/ffado-mixer-qt4::
-	dh_python2 -pffado-mixer-qt4
+	dh_pysupport -pffado-mixer-qt4
 
 binary-install/ffado-tools::
-	dh_python2 -pffado-tools
+	dh_pysupport -pffado-tools

## libffado 2.1.0+svn2240

=== SConstruct ===
--- 
+++ 
@@ -25,8 +25,9 @@
 #
 
 FFADO_API_VERSION = "9"
-FFADO_VERSION="2.999.0"
-
+FFADO_VERSION="2.1.9999"
+
+from subprocess import Popen, PIPE
 import os
 import re
 from string import Template
@@ -182,6 +183,27 @@
     conf_dir = "cache/",
     log_file = 'cache/config.log' )
 
+version_re = re.compile(r'^(\d+)\.(\d+)\.(\d+)')
+
+def VersionInt(vers):
+    match = version_re.match(vers)
+    if not match:
+        return -1
+    (maj, min, patch) = match.group(1, 2, 3)
+    # For now allow "min" to run up to 65535.  "maj" and "patch" are 
+    # restricted to 0-255.
+    return (int(maj) << 24) | (int(min) << 8) | int(patch)
+
+def CheckJackdVer():
+    print 'Checking jackd version...',
+    ret = Popen("which jackd >/dev/null 2>&1 && jackd --version | cut -d ' ' -f 3", shell=True, stdout=PIPE).stdout.read()[:-1]
+    if (ret == ""):
+        print "not installed"
+        return -1
+    else:
+        print ret
+    return VersionInt(ret)
+
 if env['SERIALIZE_USE_EXPAT']:
     env['SERIALIZE_USE_EXPAT']=1
 else:
@@ -215,7 +237,7 @@
         allpresent &= conf.CheckLib( 'expat', 'XML_ExpatVersion', '#include <expat.h>' )
 
     pkgs = {
-        'libraw1394' : '1.3.0',
+        'libraw1394' : '2.0.5',
         'libiec61883' : '1.1.0',
         'libconfig++' : '0'
         }
@@ -229,50 +251,29 @@
     # Provide a way for users to compile newer libffado which will work 
     # against older jack installations which will not accept the new API
     # version reported at runtime.
-    have_jack = conf.CheckPKG('jack >= 0.0.0')
-    good_jack1 = conf.CheckPKG('jack < 1.9.0') and conf.CheckPKG('jack >= 0.122.0')
-    good_jack2 = conf.CheckPKG('jack >= 1.9.9')
+    jackd_ver = CheckJackdVer()
+    if (jackd_ver != -1):
+        # If jackd is available, use the version number reported by it.  This
+        # means users don't have to have jack development files present on
+        # their system for this to work.
+        have_jack = (jackd_ver >= VersionInt('0.0.0'))
+        good_jack1 = (jackd_ver < VersionInt('1.9.0')) and (jackd_ver >= VersionInt('0.122.0'))
+        good_jack2 = (jackd_ver >= VersionInt('1.9.9'))
+    else:
+        # Jackd is not runnable.  Attempt to identify a version from
+        # pkgconfig on the off-chance jack details are available from there.
+        print "Will retry jack detection using pkg-config"
+        have_jack = conf.CheckPKG('jack >= 0.0.0')
+        good_jack1 = conf.CheckPKG('jack < 1.9.0') and conf.CheckPKG('jack >= 0.122.0')
+        good_jack2 = conf.CheckPKG('jack >= 1.9.9')
     if env['ENABLE_SETBUFFERSIZE_API_VER'] == 'auto':
         if not(have_jack):
             print """
-No jack installed: assuming a FFADO setbuffersize-compatible version will be
-used.
+No Jack Audio Connection Kit (JACK) installed: assuming a FFADO 
+setbuffersize-compatible version will be used.
 """
         elif not(good_jack1 or good_jack2):
             FFADO_API_VERSION="8"
             print """
-Installed jack does not support FFADO setbuffersize API: will report earlier
-API version at runtime.  Consider upgrading to jack1 >=0.122.0 or 
-jack2 >=1.9.9 at some point, and then recompile ffado to gain access to this
-added feature.
-"""
-        else:
-            print "Installed jack supports FFADO setbuffersize API"
-    elif env['ENABLE_SETBUFFERSIZE_API_VER'] == 'true':
-        if (have_jack and not(good_jack1) and not(good_jack2)):
-            print """
-SetBufferSize API version is enabled but no suitable version of jack has been
-found.  The resulting FFADO would cause your jackd to abort with "incompatible
-FFADO version".  Please upgrade to jack1 >=0.122.0 or jack2 >=1.9.9, or set
-ENABLE_SETBUFFERSIZE_API_VER to "auto" or "false".
-"""
-            # Although it's not strictly an error, in almost every case that 
-            # this occurs the user will want to know about it and fix the
-            # problem, so we exit so they're guaranteed of seeing the above
-            # message.
-            Exit( 1 )
-        else:
-            print "Will report SetBufferSize API version at runtime"
-    elif env['ENABLE_SETBUFFERSIZE_API_VER'] == 'force':
-        print "Will report SetBufferSize API version at runtime"
-    else:
-        FFADO_API_VERSION="8"
-        print "Will not report SetBufferSize API version at runtime"
-
-    for pkg in pkgs:
-        name2 = pkg.replace("+","").replace(".","").replace("-","").upper()
-        env['%s_FLAGS' % name2] = conf.GetPKGFlags( pkg, pkgs[pkg] )
-        #print '%s_FLAGS' % name2
-        if env['%s_FLAGS'%name2] == 0:
-            allpresent &= 0
-
+Installed Jack Audio Connection Kit (JACK) jack does not support FFADO 
+setbuffersize API: will report earlier API version at runtime.  Consider

=== debian/changelog ===
libffado (2.1.0+svn2240-1ubuntu3) trusty; urgency=low

  * Build on all linux architectures.
  * Update config.guess for AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2013 16:07:01 +0200

libffado (2.1.0+svn2240-1ubuntu2) raring; urgency=low

  * Fix FTBFS on powerpc (LP: #1110187).

 -- Artem Popov <artfwo@ubuntu.com>  Wed, 30 Jan 2013 16:03:50 +0700

libffado (2.1.0+svn2240-1ubuntu1) raring; urgency=low

  * Merge with Debian (LP: #1105818); remaining changes:
    - Build using dh_python2

 -- Artem Popov <artfwo@ubuntu.com>  Sat, 26 Jan 2013 14:55:38 +0700

libffado (2.1.0+svn2240-1) experimental; urgency=low

  * Imported Upstream version 2.1.0+svn2240
  * Drop all local patches (all integrated upstream)

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Thu, 04 Oct 2012 18:40:22 +0200

libffado (2.0.99+svn2171-2ubuntu2) raring; urgency=low

  * Skip scanning ffado-mixer-qt4's private dir with dh_python2

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 08 Nov 2012 18:22:32 -0700

libffado (2.0.99+svn2171-2ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Nov 2012 23:42:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libffado
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Adrian Knoth <adi@drcomp.erfurt.thur.de>,
  Free Ekanayaka <freee@debian.org>,
@@ -26,7 +27,6 @@
  python-dbus,
  python-qt4,
  python-qt4-dbus,
- python-support,
  scons
 Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
@@ -38,7 +38,7 @@
 
 Package: libffado-dev
 Section: libdevel
-Architecture: amd64 armel armhf i386 powerpc
+Architecture: linux-any
 Depends:
  libffado2 (= ${binary:Version}),
  libxml2-dev,
@@ -53,7 +53,7 @@
  This package holds the development files.
 
 Package: libffado2
-Architecture: amd64 armel armhf i386 powerpc
+Architecture: linux-any
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -67,7 +67,7 @@
 
 Package: ffado-tools
 Section: sound
-Architecture: amd64 armel armhf i386 powerpc
+Architecture: linux-any
 Depends:
  dbus (>= 1.0.0),
  libffado2 (= ${binary:Version}),
@@ -98,7 +98,7 @@
 
 Package: ffado-dbus-server
 Section: sound
-Architecture: amd64 armel armhf i386 powerpc
+Architecture: linux-any
 Depends:
  dbus (>= 1.0.0),
  libffado2 (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -82,7 +82,7 @@
 	-rm -rf admin/*.pyc
 
 binary-install/ffado-mixer-qt4::
-	dh_pysupport -pffado-mixer-qt4
+	dh_python2 --skip-private -pffado-mixer-qt4
 
 binary-install/ffado-tools::
-	dh_pysupport -pffado-tools
+	dh_python2 -pffado-tools
